Subject: [nemo] RE: Issue 3

From: Vijay Devarapalli <[email-masked]>
Date: Mon, 14 Jul 2003 10:17:21 -0700

> >    The Home Agent SHOULD store the list of Mobile Network Prefixes
> owned
> >    by a Mobile Router in the corresponding Binding Cache entry.  This
> >    list of prefixes should include only those for which the Home Agent
> >    currently has routes pointing to the Mobile Router's current
> Care-of
> >    address.  This information is later used to delete the routes when
> >    the Binding Cache entry for the Mobile Router is deleted.
> > 
> >    The Home Agent also stores the status of the Mobile Router Flag 'R'
> >    in the Binding Cache entry.
> > 
> 
> Vijay, can you please be less specific about the data in the BCE? Any
> handle to the route info is enough; it does not have to take the form of
> a list of prefixes. For instance it can be pointers to the prefix table.
> Also, In the case of real static routes, the HA does not install or
> clear them, so there's no need to keep them in BCE...

Pascal, 

there was some confusion regarding storing prefixes in the
Binding Cache entry. there were a lot of mails on this. it
is better to make it explicit. there are other issues too.
Prefix Table itself is an optional data structure. Prefix
Table contains the list of all prefixes owned by a particular
mobile router, whereas the Binding Cache entry will only
contain those prefixes for which routes have been created.
anyway, I made some changes so that this is done only when
the mobile router had included prefix information in the 
Binding Update.

heres the new text.

  The Home Agent SHOULD store the list of Mobile Network Prefixes 
  owned by a Mobile Router in the corresponding Binding Cache 
  entry.  However this is done only when the Mobile Router has
  included prefix information in the Binding Update.  This list 
  of prefixes should include only those for which the Home Agent 
  currently has routes pointing to the Mobile Router's current 
  Care-of address.  This information can later be used to delete 
  the routes when the Binding Cache entry for the Mobile Router 
  is deleted.

is this okay?

Vijay